
# Random numbers
# --------------

# Computers can't do truly random numbers, only PSEUDOrandom numbers.
# For most purposes that's good enough.
# For details of how R handles this, do
?Random

# Pseudorandom numbers come in a predefined sequence.
# The 'set.seed' function allows you to specify the starting point
#   in the sequence.

# We'll generate 5 pseudorandom values from a Poisson distribution
#  with mean parameter 4.
# With no seed, everyone gets a different sequence.
rpois(n=5, lambda=4)

# If we all set the same seed, we all get the same results
set.seed(42)
rpois(5, 4)
# [1] 7 7 3 6 5
rpois(5, 4)
# [1] 4 5 2 5 5

# If we set the same seed again, we get the same sequence
set.seed(42)
rpois(5, 4)
# [1] 7 7 3 6 5
rpois(5, 4)
# [1] 4 5 2 5 5
