
# R script for regression analysis of beluga sightings

# Data are from Wade, P. R. (2001) The conservation of exploited species in an
#   uncertain world: novel methods and the failure of traditional techniques.
#   Ch 6 in Reynolds, Mace, Redford and Robinson (eds) Conservation of exploited species.
#   Cambridge University Press, Cambridge UK.


# Add your own comments to explain what these commands are doing

sightings <- c(281,324,307,264,193,217,184)
Year <- 1994:2000

plot(Year, sightings)

# Regression is a form of linear modelling, and the 'lm' function does this:
lm1 <- lm(sightings ~ Year)
lm1
summary(lm1)
confint(lm1)

abline(lm1, col='red')  # Add the line to the plot

# meaning of intercept:
plot(Year, sightings, xlim=c(0, 2000), ylim=c(0, 50000))
abline(lm1, col='red')

# change intercept, make 1994 -> 0
yr <- Year - 1994
( lm2 <- lm(sightings ~ yr) )
plot(yr, sightings)
abline(lm2, col='red')
